### Constructor

# Devhelp SearchBar new

since: 3.30

#### Declaration [src]

    DhSearchBar*
    dh_search_bar_new (
      DhNotebook* notebook
    )

#### Description

No description available.

Available since: 3.30

#### Parameters

`notebook`

  Type: `DhNotebook`

  A `DhNotebook`.

  The data is owned by the caller of the function.

#### Return value

Type: `DhSearchBar`

A new `DhSearchBar`.

The data is owned by the called function.